/***********************************************************************
*
* Copyright (c) 2021-2022 Barbara Geller and Ansel Sermersheim
*
* This example is free software, released under the BSD 2-Clause license.
* For license details refer to LICENSE provided with this project.
*
* CopperSpice is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*
* https://opensource.org/licenses/BSD-2-Clause
*
***********************************************************************/

#include <QtCore>
#include <QtGui>

class MainWindow : public QWidget
{
 public:
   MainWindow();
};

MainWindow::MainWindow()
{
   setMinimumSize(700, 350);

   // text edit
   QLabel *label_1 = new QLabel("<h3>IPv4 (Mask)</h3>");

   QLineEdit *text_1 = new QLineEdit();
   text_1->setText("127.0.0.1");
   text_1->setMinimumSize(400, 35);
   text_1->setInputMask("000.000.000.000;_");

   //
   QLabel *label_2 = new QLabel("<h3>US/Canada Phone #</h3>");

   QLineEdit *text_2 = new QLineEdit();
   text_2->setText("(650) 555-1212");
   text_2->setMinimumSize(400, 35);
   text_2->setInputMask("(999) 999-9999");

   //
   QLabel *label_3 = new QLabel("<h3>License Key</h3>");

   QLineEdit *text_3 = new QLineEdit();
   text_3->setText("5555544444333332222211111");
   text_3->setMinimumSize(400, 35);
   text_3->setInputMask(">NNNNN-NNNNN-NNNNN-NNNNN-NNNNN;#");

   QPushButton *pb_1 = new QPushButton();
   pb_1->setText("Close");

   QVBoxLayout *layout1 = new QVBoxLayout();
   layout1->addSpacing(75);
   layout1->addWidget(label_1);
   layout1->addWidget(text_1);
   layout1->addSpacing(35);
   layout1->addWidget(label_2);
   layout1->addWidget(text_2);
   layout1->addSpacing(35);
   layout1->addWidget(label_3);
   layout1->addWidget(text_3);
   layout1->addSpacing(75);

   QHBoxLayout *layout2 = new QHBoxLayout();
   layout2->addStretch();
   layout2->addWidget(pb_1);
   layout2->addStretch();

   QVBoxLayout *layoutMain = new QVBoxLayout(this);
   layoutMain->addLayout(layout1);
   layoutMain->addSpacing(75);
   layoutMain->addLayout(layout2);

   connect(pb_1, &QPushButton::clicked, this, &QWidget::close);
}

int main(int argc, char *argv[])
{
   QApplication app(argc, argv);

   MainWindow *window = new MainWindow();
   window->show();

   return app.exec();
}

